Bug 179099 - RPM file installs even though should fail
RPM file installs even though should fail
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpm (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-27 09:04 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-17 11:30:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test.spec (522 bytes, text/plain)
2006-01-27 09:04 EST, Bastien Nocera
no flags Details

  None (edit)
Description Bastien Nocera 2006-01-27 09:04:57 EST
Created attachment 123773 [details]
test.spec
Comment 1 Bastien Nocera 2006-01-27 09:04:57 EST
rpm-4.3.3-11_nonptl

1. Install a RHEL4 machine
2. Create an RPM from the .spec file provided (test-4.2-1.XXX.rpm)
3. Modify the Release in the .spec file, and generate another RPM
(test-4.2-2.XXX.rpm)
4. Install the package created in 2.:
# rpm -ivh ~/test-4.2-1.i386.rpm
Password:
Preparing...                ########################################### [100%]
   1:test                   ########################################### [100%]
5. Install the package created in 3.:
# rpm -ivh ~/test-4.2-2.i386.rpm
Preparing...                ########################################### [100%]
   1:test                   ########################################### [100%]

# rpm -q test
test-4.2-1
test-4.2-2

Both packages contain the same files (in this case, a copy of libc6.so), and are
for the same architecture. So the operation in 5. should have failed, like it
does on RHEL3, instead of carrying on with the installation.
Comment 2 Jeff Johnson 2006-01-27 19:34:28 EST
Your expectations don't concur with reality.

rpm is perfectly happy with multiple packages containing identical content.

I have no idea what you expect to happen, perhaps detection of a file conflict, that
should stop the install.

Hint: -i changes rpm behavior dramatically, very different than -U.
Comment 3 Bastien Nocera 2006-01-30 04:30:15 EST
"perhaps detection of a file conflict, that should stop the install."
Yes, exactly, like it does on RHEL3 and older releases.
Comment 4 Johnray Fuller 2006-01-30 10:15:32 EST
Contrast the behaviour above that with autofs (our package) in RHEL 3:

# rpm -q autofs
autofs-4.1.3-154

Change %define release to "154.1" rebuild the package:

# rpm -ivh /usr/src/redhat/RPMS/x86_64/autofs-4.1.3-154.1.x86_64.rpm
Preparing...                ########################################### [100%]
      file /usr/lib64/autofs/lookup_file.so from install of autofs-4.1.3-154.1
conflicts with file from package autofs-4.1.3-154
      file /usr/lib64/autofs/lookup_hesiod.so from install of autofs-4.1.3-154.1
conflicts with file from package autofs-4.1.3-154
      file /usr/lib64/autofs/lookup_ldap.so from install of autofs-4.1.3-154.1
conflicts with file from package autofs-4.1.3-154
      file /usr/lib64/autofs/lookup_multi.so from install of autofs-4.1.3-154.1
conflicts with file from package autofs-4.1.3-154
      file /usr/lib64/autofs/lookup_nisplus.so from install of
autofs-4.1.3-154.1 conflicts with file from package autofs-4.1.3-154
      file /usr/lib64/autofs/lookup_program.so from install of
autofs-4.1.3-154.1 conflicts with file from package autofs-4.1.3-154
      file /usr/lib64/autofs/lookup_userhome.so from install of
autofs-4.1.3-154.1 conflicts with file from package autofs-4.1.3-154
      file /usr/lib64/autofs/lookup_yp.so from install of autofs-4.1.3-154.1
conflicts with file from package autofs-4.1.3-154
      file /usr/lib64/autofs/mount_afs.so from install of autofs-4.1.3-154.1
conflicts with file from package autofs-4.1.3-154
      file /usr/lib64/autofs/mount_autofs.so from install of autofs-4.1.3-154.1
conflicts with file from package autofs-4.1.3-154
      file /usr/lib64/autofs/mount_bind.so from install of autofs-4.1.3-154.1
conflicts with file from package autofs-4.1.3-154
      file /usr/lib64/autofs/mount_changer.so from install of autofs-4.1.3-154.1
conflicts with file from package autofs-4.1.3-154
      file /usr/lib64/autofs/mount_ext2.so from install of autofs-4.1.3-154.1
conflicts with file from package autofs-4.1.3-154
      file /usr/lib64/autofs/mount_generic.so from install of autofs-4.1.3-154.1
conflicts with file from package autofs-4.1.3-154
      file /usr/lib64/autofs/mount_nfs.so from install of autofs-4.1.3-154.1
conflicts with file from package autofs-4.1.3-154
      file /usr/lib64/autofs/parse_hesiod.so from install of autofs-4.1.3-154.1
conflicts with file from package autofs-4.1.3-154
      file /usr/lib64/autofs/parse_sun.so from install of autofs-4.1.3-154.1
conflicts with file from package autofs-4.1.3-154
      file /usr/sbin/automount from install of autofs-4.1.3-154.1 conflicts with
file from package autofs-4.1.3-154

******

So the autofs behavior (file conflicts) is what is wanted here.
Comment 5 Paul Nasrat 2006-01-30 11:44:19 EST
If the file is identical it doesn't conflict.  A rebuild is not the same test as
md5s and timestamps will differ.
Comment 7 Bastien Nocera 2006-01-30 12:48:00 EST
That makes an awful lot more sense.

Note You need to log in before you can comment on or make changes to this bug.